Standard Mail Merge requirements:
  • Internet Explorer 9, 10 or 11 (They don’t support Google Chrome Frame™ plug-in for Internet Explorer because the ActiveX controls required for mail merge are supported in Internet Explorer only)
  • Microsoft Word 2003 or 2007
  • Microsoft Windows XP and Windows Vista (32-bit only)

Extended Mail Merge requirements:
  • Any browser supported by Salesforce: Google Chrome, Mozilla Firefox, Internet Explorer, Safari, also on the Apple Mac OS X
  • It doesn't require the installation of an ActiveX control

Good to know:
  • Standard Mail Merge will only work on Microsoft Word 2003 or 2007 but if Extended Mail Merge is enabled, it can support MS Office 2010, MS Office 2013 and MS Office 365
  • Extended Mail Merge should work in any environment, as long as the .docx extension isn't used and the templates are no larger than 1MB. XMM runs server side, eliminating versioning issues with the OS and Office

To have Extended Mail Merge enabled, please reference KB 103265.